Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.bsf
Class CachingGroovyEngine

A Caching implementation of the GroovyEngine

author:
  James Birchfield

Field Summary
`def` | `EMPTY_ARGS`
`Logger` | `LOG`
`Binding` | `context`
`Map` | `evalScripts`
`Map` | `execScripts`
`GroovyClassLoader` | `loader`

Constructor Summary
`CachingGroovyEngine()`

Method Summary
`Object` | `eval(String source, int lineNo, int columnNo, Object script)` Evaluate an expression.
`void` | `exec(String source, int lineNo, int columnNo, Object script)` Execute a script.
`void` | `initialize(BSFManager mgr, String lang, Vector declaredBeans)` Initialize the engine.

Constructor Detail

### CachingGroovyEngine

    CachingGroovyEngine()

Method Detail

### eval

    public Object eval(String source, int lineNo, int columnNo, Object script)

  Evaluate an expression.

### exec

    public void exec(String source, int lineNo, int columnNo, Object script)

  Execute a script.

### initialize

    public void initialize(BSFManager mgr, String lang, Vector declaredBeans)

  Initialize the engine.